OpenNMS API 1.2.9

## org.opennms.netmgt.config
Class NotificationFactory

    java.lang.Object
      org.opennms.netmgt.config.NotificationManager
          org.opennms.netmgt.config.NotificationFactory

public class NotificationFactory
extends NotificationManager

Field Summary
`private static boolean` `initialized` Boolean indicating if the init() method has been called
`private static NotificationFactory` `instance` Singleton instance
`private long` `m_lastModified`
`private java.io.File` `m_noticeConfFile`
`protected java.io.File` `m_notifConfFile` Configuration file handle

Fields inherited from class org.opennms.netmgt.config.NotificationManager
`m_configManager, m_notifications, PARAM_DESTINATION, PARAM_EMAIL, PARAM_INTERFACE, PARAM_NODE, PARAM_NUM_MSG, PARAM_NUM_PAGER_PIN, PARAM_PAGER_EMAIL, PARAM_RESPONSE, PARAM_SERVICE, PARAM_SUBJECT, PARAM_TEXT_MSG, PARAM_TEXT_PAGER_PIN, PARAM_TYPE, PARAM_XMPP_ADDRESS`

Constructor Summary
`private` `NotificationFactory()`

Method Summary
`static NotificationFactory` `getInstance()`
`static void` `init()`
`void` `reload()`
`protected void` `saveXML(java.lang.String xmlString)`
`protected void` `update()`

Methods inherited from class org.opennms.netmgt.config.NotificationManager

`acknowledgeNotice, addNotification, forEachUserNotification, getActiveNodes, getConfigManager, getInterfaceFilter, getNoticeId, getNotifForEvent, getNotification, getNotificationNames, getNotifications, getQueueForNotification, getServiceNames, getServiceNoticeStatus, hasUei, insertNotice, noticeOutstanding, parseXML, rebuildParamterMap, removeNotification, replaceNotification, saveCurrent, updateNoticeWithUserInfo, updateStatus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    private static NotificationFactory instance

  Singleton instance

### m_notifConfFile

    protected java.io.File m_notifConfFile

  Configuration file handle

### initialized

    private static boolean initialized

  Boolean indicating if the init() method has been called

### m_noticeConfFile

    private java.io.File m_noticeConfFile

### m_lastModified

    private long m_lastModified

Constructor Detail

### NotificationFactory

    private NotificationFactory()

Method Detail

### getInstance

    public static NotificationFactory getInstance()

### init

    public static void init()
                     throws java.io.IOException,
                            java.io.FileNotFoundException,
                            org.exolab.castor.xml.MarshalException,
                            org.exolab.castor.xml.ValidationException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.io.FileNotFoundException`
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`
    `java.lang.ClassNotFoundException`

### reload

    public void reload()
                throws java.io.IOException,
                       org.exolab.castor.xml.MarshalException,
                       org.exolab.castor.xml.ValidationException

  Throws:
    `java.io.IOException`
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### saveXML

    protected void saveXML(java.lang.String xmlString)
                    throws java.io.IOException

  Specified by:
    `saveXML` in class `NotificationManager`
  Parameters:
    `xmlString` -
  Throws:
    `java.io.IOException`

### update

    protected void update()
                   throws java.io.IOException,
                          org.exolab.castor.xml.MarshalException,
                          org.exolab.castor.xml.ValidationException

  Specified by:
    `update` in class `NotificationManager`
  Throws:
    `java.io.IOException`
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.